summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-04-23 12:26:56 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-04-23 12:26:56 (EDT)
commit58526480c5ef1a7cb94bba78b749ea6734226179 (patch)
tree18b012e93e82706f94860aa4de5ed62ed0620f62
parent75dc62a154edda856372f2fc59b82684cd08dd7e (diff)
tests/lib/ob_substvars.sh: New test file
-rwxr-xr-xtests/lib/ob_substvars.sh45
-rw-r--r--tests/local.mk1
2 files changed, 46 insertions, 0 deletions
diff --git a/tests/lib/ob_substvars.sh b/tests/lib/ob_substvars.sh
new file mode 100755
index 0000000..6cb61ab
--- /dev/null
+++ b/tests/lib/ob_substvars.sh
@@ -0,0 +1,45 @@
+# Tests for ob_set_source_substvar(), ob_set_binary_substvar(), and
+# ob_substvars()
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
+
+plan_ 4
+
+command_ok_ 'setting source substvar' -- \
+ ob_set_source_substvar 'Source-Substvar' '
+Source substvar value
+'
+
+is 'source package substvars' \
+ "$(ob_substvars 'Field: ${Source-Substvar}')" \
+ 'Field: Source substvar value'
+
+command_ok_ 'setting binary substvar' -- \
+ ob_set_binary_substvar 'Binary-Substvar' '
+Binary substvar value
+' 'binpkg'
+
+is 'binary package substvars' \
+ "$(ob_substvars 'Field: ${Binary-Substvar}' 'binpkg')" \
+ 'Field: Binary substvar value'
diff --git a/tests/local.mk b/tests/local.mk
index 10b71bf..3b052b3 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -5,6 +5,7 @@ TESTS = \
%reldir%/lib/ob_plat_is_concerned.sh \
%reldir%/lib/ob_parse_changelog.sh \
%reldir%/lib/ob_parse_control.sh \
+ %reldir%/lib/ob_substvars.sh \
%reldir%/exe/opkbuild_version.sh \
%reldir%/exe/ob-buildenv.sh \
%reldir%/exe/ob-unpacksource.sh \